 // A Sky Factory example
 // 25 frame animation show different sky pigments
 // 0-11 normal sky pigments
 // 12-25 reverse colors(BackRev on)
 global_settings {max_trace_level 20}

 camera{location <0,0,0>
        look_at <0,0,1>
        right x*image_width/image_height
        }

 //boxes
 #declare BoxL=<-250005,-505,-95>;//lowest corner middle box size
 #declare BoxH=<250005,505,20005>;//upper corner middle box size
 #declare BoxD=2;//difference between Middle and other boxes
 #declare Boxn=7;//boxes 1=Low,2=Mid,4=High,7=all place boxes 0=no boxes
 //background(sky_sphere)
 #declare BackPig=mod(frame_number,12);//0-11 background(sky_sphere) pigment map
                    //<6 gradient >5 cylindrical
 #if(frame_number>11)#declare BackRev=1;
 #else #declare BackRev=0;//reverse background pigment colors
 #end
 #declare BackRotate=<0,0,0>;//vector rotate background(sky_sphere) pigment 
 #if(BackPig>5) #declare BackMap=.9;
 #else #declare BackMap=.3;//0-1 pigment color_map point
                     //try Smaller values for BackPig<6  
                     //try Larger values for BackPig>5 
 #end                    
 #declare BackTurb=<0,0,0>;//pigment map turbulence value
 #declare Back_Dc=<1,1,1>;// darken color of background sky 1=normal

 //Clouds Type & pigment blend maps variables
 //Low Cloud box value 1
 #declare CloudLn=1;//0-5 Low clouds near viewer 
 #declare CloudLf=2;//0-5 Low clouds far from viewer 
  #declare CloudLn_Dc=<1,1,1>;// darken Ln Clouds 1=normal
  #declare CloudLf_Dc=<1,1,1>;// darken Lf Clouds 1=normal
   #declare CloudLn_Ps=<500,800,550>;  // scale Ln Clouds pigment
   #declare CloudLf_Ps=<2000,2500,2000>;// scale Lf Clouds pigment
  #declare CloudL_Mv=<0,0,0>;    //move(translate) Ln & Lf Clouds pigments
  #declare CloudL_Rot=<0,0,0>;//Rotate Low box Clouds pigments
  #declare CloudL_Range=<.1,.5>; // Near/Far color_map transition values x= closest 
  #declare CloudL_Turb=<0,0,0>; //Low box color_map turbulence value
  #declare CloudL_Amb=<.8,.8,.8>; //Low box ambient
  #declare CloudL_Shadow=yes;      //yes/no cast shadows
  
 //Mid Cloud box value 2
 #declare CloudMn=2;//0-5 Mid clouds near viewer 
 #declare CloudMf=3;//0-5 Mid clouds far from viewer 
  #declare CloudMn_Dc=<1,1,1>; //darken Clouds 1=normal
  #declare CloudMf_Dc=<1,1,1>; //darken Clouds 1=normal
   #declare CloudMn_Ps=<500,800,550>;  // scale Mn Clouds pigment
   #declare CloudMf_Ps=<2000,2500,2000>;// scale Mf Clouds pigment
  #declare CloudM_Mv=<0,0,0>;    //move(translate) Mn & Mf Cloud pigments
  #declare CloudM_Rot=<0,0,0>;//Rotate Mid Box Clouds pigments
  #declare CloudM_Range=<.1,.5>; //Far/Near color_map transition values x= closest 
  #declare CloudM_Turb=<0,0,0>;  //Mid box color_map turbulence value
  #declare CloudM_Amb=<.9,.9,.9>; //Mid box ambient
  #declare CloudM_Shadow=no;     //yes/no cast shadows

 //High Cloud box value 4
 #declare CloudHn=5;  //0-5 high clouds near viewer 
 #declare CloudHf=1;  //0-5 high clouds far from viewer 
  #declare CloudHn_Dc=<1,1,1>;    //darken Hn Clouds 1=normal
  #declare CloudHf_Dc=<1,1,1>;    //darken HF Clouds 1=normal
   #declare CloudHn_Ps=<500,800,550>;      // scale Hn Clouds pigment
   #declare CloudHf_Ps=<2000,2500,2000>; // scale Hf Clouds pigment
  #declare CloudH_Mv=<0,0,0>;   // move(translate) Hn & Hf  Clouds pigments
  #declare CloudH_Rot=<0,0,0>;  //Rotate high box Clouds pigments
  #declare CloudH_Range=<.1,.5>;//Far/Near color_map transition values x= closest 
  #declare CloudH_Turb=<0,0,0>; //high box color_map turbulence value
  #declare CloudH_Amb=<1,1,1>;  //high box ambient
  #declare CloudH_Shadow=no;    //yes/no high box cast shadows
 
 #declare Get=yes; #include "Sky_Factory.pov"

//======= show sky ===============
 object{LRClouds}
 sky_sphere{pigment{Sky_Pigment}}